Subject: bug#43381: 27.1.50; Maybe wrong cursor FG color in NS port

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 17:06:31 +0200

Eli Zaretskii <[email-masked]> writes:

> What if that character has a non-default foreground color?  If we
> disregard it, all the characters will look the same when under the
> cursor, regardless of their original face.

Hm...  I don't quite follow.  The character under point will have the
cursor colour as the background colour, and it doesn't matter what the
foreground colour of that character is: Today the foreground colour
(when the cursor is over the character) is the character's background
colour, but the proposal is to change that to use the default face's
background colour instead.  (Which is pretty much guaranteed to be
different that the cursor's colour.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no